Groovy 1.7.10

## org.codehaus.groovy.runtime.wrappers
[Java] Class Wrapper

    java.lang.Object
      org.codehaus.groovy.runtime.wrappers.Wrapper

All Implemented Interfaces:
  GroovyObject

    public abstract class Wrapper
    extends Object

Authors:
  John Wilson

Field Summary
`protected Class` | `constrainedType`
`protected MetaClass` | `delegatingMetaClass`

Constructor Summary
`Wrapper(Class constrainedType)`

Method Summary
`protected MetaClass` | `getDelegatedMetaClass()`
`MetaClass` | `getMetaClass()`
`Class` | `getType()`
`protected Object` | `getWrapped()`
`Object` | `unwrap()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### constrainedType

    protected final Class constrainedType

### delegatingMetaClass

    @Deprecated
    protected MetaClass delegatingMetaClass

Constructor Detail

### Wrapper

    public Wrapper(Class constrainedType)

Method Detail

### getDelegatedMetaClass

    protected MetaClass getDelegatedMetaClass()

### getMetaClass

    public MetaClass getMetaClass()

### getType

    public Class getType()

### getWrapped

    protected Object getWrapped()

### unwrap

    public Object unwrap()

Copyright © 2003-2010 The Codehaus. All rights reserved.